package com.lij.himeeter.framework.web.domain.server;

import com.lij.himeeter.common.utils.Arith;

/**
 * <pre>
 *
 * 文件名 :  Mem
 * 创建时间 : 2024年12月16日 18:53
 *
 * 文件描述 : 內存相关信息
 *
 * </pre>
 *
 * @author Nobita
 * @version 1.0.0
 */

public class Mem {
    /**
     * 内存总量
     */
    private double total;

    /**
     * 已用内存
     */
    private double used;

    /**
     * 剩余内存
     */
    private double free;

    public double getTotal() {
        return Arith.div(total, (1024 * 1024 * 1024), 2);
    }

    public void setTotal(long total) {
        this.total = total;
    }

    public double getUsed() {
        return Arith.div(used, (1024 * 1024 * 1024), 2);
    }

    public void setUsed(long used) {
        this.used = used;
    }

    public double getFree() {
        return Arith.div(free, (1024 * 1024 * 1024), 2);
    }

    public void setFree(long free) {
        this.free = free;
    }

    public double getUsage() {
        return Arith.mul(Arith.div(used, total, 4), 100);
    }
}
